Beefy Boxes and Bandwidth Generously Provided by pair Networks
more useful options
 
PerlMonks  

Re: Diagnosing error report: "IO object version 1.21 does not match bootstrap parameter 1.22"

by chromatic (Archbishop)
on Sep 09, 2005 at 06:15 UTC ( #490437=note: print w/replies, xml ) Need Help??


in reply to Diagnosing error report: "IO object version 1.21 does not match bootstrap parameter 1.22"

As I understand it, that error means that the version in the XS portion of IO does not match the version in the Perl portion of the module. It sounds like an incorrect installation of Perl -- I don't think this is your fault or something you should feel an obligation to support.

  • Comment on Re: Diagnosing error report: "IO object version 1.21 does not match bootstrap parameter 1.22"

Replies are listed 'Best First'.
Re^2: Diagnosing error report: "IO object version 1.21 does not match bootstrap parameter 1.22"
by jkeenan1 (Deacon) on Sep 09, 2005 at 10:37 UTC
    Thanks, c! I'm still fine-tuning the module, so I'm not particularly worried if the FAIL discourages people from using this particular version. But I would hate to see people discouraged from using a good module simply because of a misleading automated testing report.

    jimk

Log In?
Username:
Password:

What's my password?
Create A New User
Domain Nodelet?
Node Status?
node history
Node Type: note [id://490437]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others lurking in the Monastery: (3)
As of 2023-02-07 05:26 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    I prefer not to run the latest version of Perl because:







    Results (38 votes). Check out past polls.

    Notices?